Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class EmbeddedImageServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.compoze.domino.EmbeddedImageServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class EmbeddedImageServlet
extends javax.servlet.http.HttpServlet

This class is a servlet that writes an embedded image. The servlet expects that an Http session variable called `EmbeddedImageServlet.SESSION` containing the `com.compoze.domino.Session` object.

The servlet also expects that two request parameters be set. The `EmbeddedImageServlet.DOCUMENT_ID` parameter must contain the ID of the message which has the attachment to serve. The `EmbeddedImageServlet.IMAGE_ID` parameter must contain the name of the id of the embedded image to serve.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DOCUMENT_ID` This represents the request parameter for the message id (required).
`static java.lang.String` | `IMAGE_ID` This represents the request parameter for the image id (required).
`static java.lang.String` | `SESSION` This represents the Http session attribute name to store the `Session`.
`static java.lang.String` | `SESSION_NAME` This represents the Http session attribute name that stores the `Session`.

Constructor Summary
`EmbeddedImageServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SESSION

    public static final java.lang.String SESSION

  This represents the Http session attribute name to store the `Session`. To override this value, pass `SESSION_NAME` in the request.

  See Also:
    `Session`, Constant Field Values

### SESSION_NAME

    public static final java.lang.String SESSION_NAME

  This represents the Http session attribute name that stores the `Session`. Overrides the default session name.

  See Also:
    `SESSION`, `Session`, Constant Field Values

### IMAGE_ID

    public static final java.lang.String IMAGE_ID

  This represents the request parameter for the image id (required).

  See Also:
    Constant Field Values

### DOCUMENT_ID

    public static final java.lang.String DOCUMENT_ID

  This represents the request parameter for the message id (required).

  See Also:
    Constant Field Values

Constructor Detail

### EmbeddedImageServlet

    public EmbeddedImageServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.